A+ A A-

Sobi2 plugins package

 

 

This package contains all Sobi2 plugins we have write and published. You can also see them on the JED archives (because they are only compatible with Joomla 1.5), unfortunately the user's reviews are left, but believe us, we was very good rated !

Read more